{{
'-------------------------------------------------------------------------------
'
' Other.inc - This file is included by all target files to perform the logic 
'             required to include various plugins, based on the following
'             symbols:
'
'             CLOCK       - load a Real-Time Clock plugin
'                                 
'             SDCARD      - Use the SDCARD Loader (needs SD Card plugin)
'
'             libcx       - use the extended library (needs SD Card plugin)     
'             libcix      - use the extended library (needs SD Card plugin)     
'             SD          - use the SD Card plugin
'                    
'             PROXY_SD    - use a proxy for the SD plugin
'                                 
'             PROXY_SIO   - (internal) load SIO plugin for use by proxy drivers
'                                                                           
'             RESERVE_COG - load the reserve cog
'            
' This file is included by the following target files:
'
'   lmm_default.spin
'   emm_default.spin
'   smm_default.spin
'   xmm_default.spin
'   lmm_blackcat.spin
'   emm_blackcat.spin
'   smm_blackcat.spin
'   xmm_blackcat.spin
'
' Version 2.8 - initial version by Ross Higson
' Version 2.9 - include SD plugin if libcix used, or symbol SD defined
'
}}
'
' One of the following object MUST be loaded for argument processing ...
'
#ifdef NO_ARGS
  CogStore : "Catalina_CogStopper"                      ' Used to terminate CogStore
#else
  CogStore : "Catalina_CogStore"                        ' Used to retrieve command line
#endif  
'
' The following objects are all optional:
'
#ifdef CLOCK
  RTC      : "Catalina_RTC_Plugin"                      ' Real-Time Clock
#endif
'
#ifdef RESERVE_COG
  RSV      : "Catalina_Reserved_Cog"
#endif
'
' see if we need the SD plugin (or the proxy) loaded
#ifdef libcx
#define NEED_SD
#endif
#ifdef libcix
#define NEED_SD
#endif
#ifdef SD
#define NEED_SD
#endif
'
#ifdef NEED_SD
#ifdef PROXY_SD
#ifndef PROXY_SIO
#define PROXY_SIO
#endif
  SD       : "Catalina_Proxy_SD_Plugin"                 ' Proxy SD Card Support
#else
  SD       : "Catalina_SD_Plugin"                       ' SD Card Support
#endif  
#elseifdef SDCARD
#ifdef PROXY_SD
#ifndef PROXY_SIO
#define PROXY_SIO
#endif
  SD       : "Catalina_Proxy_SD_Plugin"                 ' Proxy SD Card Support
#else
  SD       : "Catalina_SD_Plugin"                       ' SD Card Support
#endif
#endif
'
#ifdef PROXY_SIO
  SIO      : "Catalina_SIO_Plugin"
#endif
'
